gtksourceviewmm: gtksourceview::SourceStyleScheme Class Reference

gtksourceviewmm 2.10.2

- Main Page
- Related Pages
- Modules
- Classes

- Class List
- Class Hierarchy
- Class Members

Public Member Functions | Related Functions
gtksourceview::SourceStyleScheme Class Reference

Object controlling apperance of SourceView. More...

`#include <gtksourceviewmm/sourcestylescheme.h>`

Inheritance diagram for gtksourceview::SourceStyleScheme:
[legend]

List of all members.

## Public Member Functions
GtkSourceStyleScheme* | gobj ()
| Provides access to the underlying C GObject.
const GtkSourceStyleScheme* | gobj () const
| Provides access to the underlying C GObject.
Glib::ustring | get_id () const
| Gets scheme id.
Glib::ustring | get_name () const
| Gets scheme name.
Glib::ustring | get_description () const
| Gets scheme description.
Glib::StringArrayHandle | get_authors () const
| Gets scheme authors.
std::string | get_filename () const
| Gets scheme filename.
Glib::RefPtr< SourceStyle > | get_style (const Glib::ustring& style_id)
| Gets style corresponding to style_id in scheme.
Glib::RefPtr< const SourceStyle > | get_style (const Glib::ustring& style_id) const
| Gets style corresponding to style_id in scheme.
## Related Functions
(Note that these are not member functions.)
Glib::RefPtr < gtksourceview::SourceStyleScheme > | wrap (GtkSourceStyleScheme* object, bool take_copy=false)
| A Glib::wrap() method for this object.

## Detailed Description

Object controlling apperance of SourceView.

SourceStyleScheme contains all the text styles to be used in SourceView and SourceBuffer. For instance, it contains text styles for syntax highlighting, it may contain foreground and background color for non-highlighted text, color for the line numbers, etc.

Style schemes are stored in XML files. The format of a scheme file is the documented in the C library gtksourceview documentation.

Since gtksourceviewmm 2.2:

## Member Function Documentation

Glib::StringArrayHandle gtksourceview::SourceStyleScheme::get_authors | ( |  | ) | const

Gets scheme authors.

Returns:
  Array with scheme authors.

Since gtksourceviewmm 2.2:

Glib::ustring gtksourceview::SourceStyleScheme::get_description | ( |  | ) | const

Gets scheme description.

Returns:
  Scheme description.

Since gtksourceviewmm 2.2:

std::string gtksourceview::SourceStyleScheme::get_filename | ( |  | ) | const

Gets scheme filename.

Returns:
  Scheme file name if the scheme was created parsing a style scheme file or empty string in the other cases.

Since gtksourceviewmm 2.2:

Glib::ustring gtksourceview::SourceStyleScheme::get_id | ( |  | ) | const

Gets scheme id.

Returns:
  Scheme id.

Since gtksourceviewmm 2.2:

Glib::ustring gtksourceview::SourceStyleScheme::get_name | ( |  | ) | const

Gets scheme name.

Returns:
  Scheme name.

Since gtksourceviewmm 2.2:

Glib::RefPtr<const SourceStyle> gtksourceview::SourceStyleScheme::get_style | ( | const Glib::ustring & | style_id | ) | const

Gets style corresponding to style_id in scheme.

Parameters:

  style_id | Id of the style to retrieve.

Returns:
  Style which corresponds to style_id in the scheme, or empty Glib::RefPtr when no style with this name found.

Since gtksourceviewmm 2.2:

Glib::RefPtr<SourceStyle> gtksourceview::SourceStyleScheme::get_style | ( | const Glib::ustring & | style_id | ) |

Gets style corresponding to style_id in scheme.

Parameters:

  style_id | Id of the style to retrieve.

Returns:
  Style which corresponds to style_id in the scheme, or empty Glib::RefPtr when no style with this name found.

Since gtksourceviewmm 2.2:

## Friends And Related Function Documentation

Glib::RefPtr< gtksourceview::SourceStyleScheme > wrap | ( | GtkSourceStyleScheme * | object,
|  | bool | take_copy = `false`
| ) |  | `[related]`

A Glib::wrap() method for this object.

Parameters:

  object | The C instance.
  take_copy | False if the result should take ownership of the C instance. True if it should take a new copy or ref.

Returns:
  A C++ instance that wraps this C instance.